Record and Create Modules

by
Odoo          
v 12.0 Third Party 7809
Download for 12.0 series Deploy on Odoo.sh
You bought this module and need support ? Click here !
Technical name base_module_record
LicenseAGPL-3
Websitehttp://www.serpentcs.com
Repositoryhttps://github.com/JayVora-SerpentCS/SerpentCS_Contributions#12.0
Read description for v 11.0 v 10.0 v 9.0 v 8.0 v 7.0
Technical name base_module_record
LicenseAGPL-3
Websitehttp://www.serpentcs.com
Repositoryhttps://github.com/JayVora-SerpentCS/SerpentCS_Contributions#12.0
Read description for v 11.0 v 10.0 v 9.0 v 8.0 v 7.0

Base Module Record

Description of Module

This module allows you to create a new module without any development.
It records all operations on objects during the recording session and produce a .ZIP module. So you can create your own module directly from the Odoo client.
This version works for creating and updating existing records. It recomputes dependencies and links for all types of widgets (many2one, many2many, ...). It also support buttons and demo/update data.
This should help you to easily create reusable and publishable modules for custom configurations and demo/testing data.

How to use

Run Administration/Customization/Module Creation/Export Customizations As a Module wizard. Select datetime criteria of recording and objects to be recorded and Record module.

Create Fields

According to your need fields will create from this form

Create Objects

Page where you can create object

After Creating object Click on "Create a Menu" button

Create Menu

Select Parent Menu where you want to display your menu.

After creating menu go to Parent Menu.

Menu Creation Wizard

Created Module

Sample form view as per your specifications

Check out our various Odoo Services below
 
Odoo Consulting Gap Analysis and BPR Odoo Implementation Integration with E-Commerce Odoo Technical Training
Offshore & Onsite Development Support and Maintenance Hire Dedicated Odoo Developer Payment Gateway Integrations Odoo Functional Training
Odoo Mobile App Development Odoo Manual Testing Odoo Automated Testing Integration with Shipping API Installation & Hosting
 
Check out our various Odoo Based Products
 
Restaurant Management Property Management Visa Agency Management Singapore Localization School, University Management
Construction Management Fleet Management Medical ERP Hotel Management Human Resource Management
Field Service Management Spa & Salone Management Ringcentral telephone integration Customer Relationship Talent Management
 
For any questions, support and development contact us.
 
(+91) 98793-54457, (+91) 90334-72982 +91-79-2975-0867 contact@serpentcs.com www.serpentcs.com www.serpentcs.in www.odooqa.com
WhatsApp, Telegram or Call 24X7 Help! Send Mail Browse our Services Browse our Products QA Services
 

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo
I have error
by on

Error: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 757, in parse self._tags[rec.tag](rec, de, mode=mode) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 662, in _tag_record record = model.with_context(rec_context)._load_records([data], self.mode == 'update') File "/usr/lib/python3/dist-packages/odoo/models.py", line 3804, in _load_records records = self.create([data['values'] for data in to_create]) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 425, in create return super(View, self).create(vals_list) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3541, in create fields[0].determine_inverse(batch_recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1104, in determine_inverse getattr(records, self.inverse)() File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch view.write(data) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 441, in write return super(View, self).write(self._compute_defaults(vals)) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3258, in write self._write(store_vals) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3402, in _write self._validate_fields(vals) File "/usr/lib/python3/dist-packages/odoo/models.py", line 1101, in _validate_fields check(self) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 360, in _check_xml raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs)) odoo.exceptions.ValidationError: ('Invalid view module.create.form definition in base_module_record/wizard/base_module_record_object_view.xml', None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 71, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 442, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 535, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 222, in load_module_graph load_data(cr, idref, mode, kind='data', package=package, report=report) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 68, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 801, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate, report) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 864, in convert_xml_import obj.parse(doc.getroot(), mode=mode) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 763, in parse


Odoo
I have this error
by on

Error while importing module 'base_module_record': "Module loading base_module_record failed: file /tmp/tmpwanemksq/base_module_record/security/ir.model.access.csv could not be processed:\n No matching record found for external id 'model_ir_module_record' in field 'Object'\nMissing required value for the field 'Object' (model_id)"